## NAME

v.delaunay - Create a Delaunay triangulation from an input vector map containing points or centroids.

## KEYWORDS

vector

## SYNOPSIS

v.delaunay
v.delaunay help
v.delaunay [-rl] input=name output=name [--overwrite]

### Flags:

-r
  Use only sites in current region
-l
  Output triangulation as a graph (lines), not areas
--overwrite
  Force overwrite of output files

### Parameters:

input=name
  Name of input vector map
output=name
  Name for output vector map

## DESCRIPTION

v.delaunay uses an existing vector points map (input) to create a Delaunay triangulation vector map (output).

Delaunay triangulation and Voronoi diagram example:

Delaunay Triangulation (left pane), Voronoi diagram (center pane), and both (right pane)

## EXAMPLE

Commands used with the Spearfish dataset to create the above figure.

      g.region n=4927250 s=4919400 w=588650 e=594850
      d.frame -c fr=one at=0,100,0,33.3333
      d.frame -c fr=two at=0,100,33.3333,66.6667
      d.frame -c fr=three at=0,100,66.6667,100

      v.delaunay -lr in=archsites out=arch_delaunay
      d.frame -s one
      d.vect arch_delaunay
      d.vect archsites color=red fcolor=red size=5 icon=basic/circle

      v.voronoi -l in=archsites out=arch_voronoi
      d.frame -s two
      d.vect arch_voronoi type=line
      d.vect archsites color=red fcolor=red size=5 icon=basic/circle

      d.frame -s three
      d.vect arch_voronoi type=line
      d.vect arch_delaunay color=blue
      d.vect archsites color=red fcolor=red size=5 icon=basic/circle

## REFERENCES

Steve J. Fortune, (1987). A Sweepline Algorithm for Voronoi Diagrams, Algorithmica 2, 153-174.

## SEE ALSO

v.voronoi, v.hull,

## AUTHORS

James Darrell McCauley, Purdue University
GRASS 5 update, improvements: Andrea Aime, Modena, Italy
GRASS 5.7 update: Radim Blazek

Last changed: $Date: 2006/05/24 08:51:52 $

Main index - vector index - Full index